#include<stdio.h>
#include<stdlib.h>
void razmeni(int *x,int *y){
	int t;
	t=*x;
	*x=*y;
	*y=t;
}
main(){
	unsigned n;
	int pomocna,g,c,p,max,i,t,a[10000];
	scanf("%u",&n);
	for(i=0;i<n;i++)scanf("%d",&a[i]);
	if(n==2){
		razmeni(&a[0],&a[1]);
		printf("%d %d",a[0],a[1]);
		}
			else{
				for(i=0;i<n-1;i++){
				if(a[i]<a[i+1]){
					c=i;
					g=i;
					t=a[c];break;
				}
			}
	p=t;
	max=t;
	for(i=c;i<n;i++){
		if(a[i]>max)max=a[i];
	}
	razmeni(&a[g],&a[i]);
	for(i=0;i<n;i++)printf("%d ",&a[i]);
}
	system("pause");
}